1

I tried to install the openoffice.org package but it gave an error. Now i cannot repair, remove or install nothing. The Software center of xubuntu gives this error log. Nothing seems to solve this. I tried apt-get install -f but it does not solve the problem either. Any suggestions?

installArchives() failed: (Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 184189 files and directories currently installed.)
Unpacking libreoffice-common (from .../libreoffice-common_1%3a3.5.4-0ubuntu1.1_all.deb) ...
dpkg: error processing /var/cache/apt/archives/libreoffice-common_1%3a3.5.4-0ubuntu1.1_all.deb (--unpack):
 trying to overwrite '/usr/bin/soffice', which is also in package openoffice.org-debian-menus 3.2-9502
No apport report written because MaxReports is reached already
rmdir: erro ao remover /var/lib/libreoffice/share/prereg/: Ficheiro ou directoria inexistente
rmdir: erro ao remover /var/lib/libreoffice/share/: Directoria no vazia
rmdir: erro ao remover /var/lib/libreoffice/program/: Ficheiro ou directoria inexistente
rmdir: erro ao remover /var/lib/libreoffice: Directoria no vazia
rmdir: erro ao remover /var/lib/libreoffice: Directoria no vazia
Processing triggers for desktop-file-utils ...
Processing triggers for shared-mime-info ...
Processing triggers for gnome-icon-theme ...
Processing triggers for hicolor-icon-theme ...
Processing triggers for man-db ...
Errors were encountered while processing:
 /var/cache/apt/archives/libreoffice-common_1%3a3.5.4-0ubuntu1.1_all.deb
dpkg: dependency problems prevent configuration of libreoffice-java-common:
 libreoffice-java-common depends on libreoffice-common; however:
  Package libreoffice-common is not installed.
dpkg: error processing libreoffice-java-common (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreoffice-filter-mobiledev:
 libreoffice-filter-mobiledev depends on libreoffice-java-common; however:
  Package libreoffice-java-common is not configured yet.
dpkg: error processing libreoffice-filter-mobiledev (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreoffice-base:
 libreoffice-base depends on libreoffice-java-common (>= 1:3.5.4~); however:
  Package libreoffice-java-common is not configured yet.
dpkg: error processing libreoffice-base (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreoffice-core:
 libreoffice-core depends on libreoffice-common (>> 1:3.5.4); however:
  Package libreoffice-common is not installed.
dpkg: error processing libreoffice-core (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreoffice-style-human:
 libreoffice-style-human depends on libreoffice-core; however:
  Package libreoffice-core is not configured yet.
dpkg: error processing libreoffice-style-human (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreoffice-math:
 libreoffice-math depends on libreoffice-core (= 1:3.5.4-0ubuntu1.1); however:
  Package libreoffice-core is not configured yet.
dpkg: error processing libreoffice-math (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreoffice-impress:
 libreoffice-impress depends on libreoffice-core (= 1:3.5.4-0ubuntu1.1); however:
  Package libreoffice-core is not configured yet.
dpkg: error processing libreoffice-impress (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreoffice-style-tango:
 libreoffice-style-tango depends on libreoffice-core; however:
  Package libreoffice-core is not configured yet.
dpkg: error processing libreoffice-style-tango (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreoffice:
 libreoffice depends on libreoffice-core (= 1:3.5.4-0ubuntu1.1); however:
  Package libreoffice-core is not configured yet.
 libreoffice depends on libreoffice-impress; however:
  Package libreoffice-impress is not configured yet.
 libreoffice depends on libreoffice-math; however:
  Package libreoffice-math is not configured yet.
 libreoffice depends on libreoffice-base; however:
  Package libreoffice-base is not configured yet.
 libreoffice depends on libreoffice-filter-mobiledev; however:
  Package libreoffice-filter-mobiledev is not configured yet.
 libreoffice depends on libreoffice-java-common (>= 1:3.5.4~); however:
  Package libreoffice-java-common is not configured yet.
dpkg: error processing libreoffice (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreoffice-writer:
 libreoffice-writer depends on libreoffice-core (= 1:3.5.4-0ubuntu1.1); however:
  Package libreoffice-core is not configured yet.
dpkg: error processing libreoffice-writer (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of mythes-en-us:
 mythes-en-us depends on libreoffice-core | openoffice.org-core (>= 1.9) | language-support-writing-en; however:
  Package libreoffice-core is not configured yet.
  Package openoffice.org-core is not installed.
  Package language-support-writing-en is not installed.
dpkg: error processing mythes-en-us (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreoffice-help-zh-cn:
 libreoffice-help-zh-cn depends on libreoffice-writer | language-support-translations-zh; however:
  Package libreoffice-writer is not configured yet.
  Package language-support-translations-zh is not installed.
dpkg: error processing libreoffice-help-zh-cn (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreoffice-base-core:
 libreoffice-base-core depends on libreoffice-core (= 1:3.5.4-0ubuntu1.1); however:
  Package libreoffice-core is not configured yet.
dpkg: error processing libreoffice-base-core (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreoffice-gnome:
 libreoffice-gnome depends on libreoffice-core (= 1:3.5.4-0ubuntu1.1); however:
  Package libreoffice-core is not configured yet.
dpkg: error processing libreoffice-gnome (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreoffice-help-pt-br:
 libreoffice-help-pt-br depends on libreoffice-writer | language-support-translations-pt; however:
  Package libreoffice-writer is not configured yet.
  Package language-support-translations-pt is not installed.
dpkg: error processing libreoffice-help-pt-br (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreoffice-emailmerge:
 libreoffice-emailmerge depends on libreoffice-core; however:
  Package libreoffice-core is not configured yet.
dpkg: error processing libreoffice-emailmerge (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreoffice-help-en-gb:
 libreoffice-help-en-gb depends on libreoffice-writer | language-support-translations-en; however:
  Package libreoffice-writer is not configured yet.
  Package language-support-translations-en is not installed.
dpkg: error processing libreoffice-help-en-gb (--configure):
 dependency problems - leaving unconfigured
3
  • Please post the output of sudo apt-get -f install.
    – green
    Sep 21, 2012 at 8:29
  • to install openoffice you must completely remove libreoffice like so sudo apt-get purge libreoffice* then install openoffice like so sudo apt-get install openoffice
    – blade19899
    Sep 21, 2012 at 8:47
  • this also does not work:sudo apt-get purge libreoffice*
    – Nuno
    Sep 21, 2012 at 9:02

2 Answers 2

2

To solve this you can:
1-use synaptic and completely remove the broken packages then reinstall
2-try the command

sudo dpkg --configure -a

then try

sudo apt-get install -f

2
  • this sudo dpkg --configure -a does not work either.
    – Nuno
    Sep 21, 2012 at 9:03
  • 3
    i used the synaptic and removed the broken packages of the openoffice and all problems were sent behind my backs. Solved! Thank you for your great support. I wish a excellent day.
    – Nuno
    Sep 21, 2012 at 9:15
2

Try this. Open terminal type

sudo apt-get update
sudo apt-get install -f
sudo apt-get autoremove
sudo apt-get clean
root@nuno-P5KC:~# sudo apt-get install -f
A ler as listas de pacotes... Pronto
A construir árvore de dependências       
A ler a informação de estado... Pronto
A corrigir dependências... Feito
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
  linux-headers-3.2.0-29-generic linux-headers-3.2.0-29
Utilize 'apt-get autoremove' para os remover.
Os seguintes pacotes extra serão instalados:
  libreoffice-common
Pacotes sugeridos:
  libreoffice-style-hicontrast libreoffice-style-crystal libreoffice-style-oxygen
Serão instalados os seguintes NOVOS pacotes:
  libreoffice-common
0 pacotes actualizados, 1 pacotes novos instalados, 0 a remover e 8 não actualizados.
24 pacotes não totalmente instalados ou removidos.
É necessário obter 20,9 MB de arquivos.
Após esta operação, serão utilizados 52,7 MB adicionais de espaço em disco.
Deseja continuar [Y/n]? 
Obter:1 http://pt.archive.ubuntu.com/ubuntu/ precise-updates/main libreoffice-common all 1:3.5.4-0ubuntu1.1 [20,9 MB]
Obtidos 20,9 MB em 10s (1944 kB/s)                                                                                                                        
(A ler a base de dados ... 184189 ficheiros e directórios actualmente instalados.)
A descompactar libreoffice-common (desde .../libreoffice-common_1%3a3.5.4-0ubuntu1.1_all.deb) ...
dpkg: erro ao processar /var/cache/apt/archives/libreoffice-common_1%3a3.5.4-0ubuntu1.1_all.deb (--unpack):
 a tentar sobre-escrever '/usr/bin/soffice', que também está no pacote openoffice.org-debian-menus 3.2-9502
rmdir: erro ao remover «/var/lib/libreoffice/share/prereg/»: Ficheiro ou directoria inexistente
rmdir: erro ao remover «/var/lib/libreoffice/share/»: Directoria não vazia
rmdir: erro ao remover «/var/lib/libreoffice/program/»: Ficheiro ou directoria inexistente
rmdir: erro ao remover «/var/lib/libreoffice»: Directoria não vazia
rmdir: erro ao remover «/var/lib/libreoffice»: Directoria não vazia
A processar 'triggers' para desktop-file-utils ...
A processar 'triggers' para shared-mime-info ...
A processar 'triggers' para gnome-icon-theme ...
A processar 'triggers' para hicolor-icon-theme ...
A processar 'triggers' para man-db ...
Foram encontrados erros enquanto processava:
 /var/cache/apt/archives/libreoffice-common_1%3a3.5.4-0ubuntu1.1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

2
  • the sudo apt-get update works fine but the sudo apt-get install -f fails!
    – Nuno
    Sep 21, 2012 at 8:58
  • first type sudo apt-get clean and type again sudo apt-get install -f
    – KK Patel
    Sep 21, 2012 at 9:17

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.